Inquiry Wallets
curl --request POST \
--url https://staging-payments.commerce.asia/api/services/app/PaymentGateway/QueryWallets \
--header 'Abp-TenantId: <abp-tenantid>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'cap-signature: <cap-signature>' \
--data '
{
"tenantId": 123,
"timestamp": {}
}
'import requests
url = "https://staging-payments.commerce.asia/api/services/app/PaymentGateway/QueryWallets"
payload = {
"tenantId": 123,
"timestamp": {}
}
headers = {
"Abp-TenantId": "<abp-tenantid>",
"Authorization": "<authorization>",
"cap-signature": "<cap-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Abp-TenantId': '<abp-tenantid>',
Authorization: '<authorization>',
'cap-signature': '<cap-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({tenantId: 123, timestamp: {}})
};
fetch('https://staging-payments.commerce.asia/api/services/app/PaymentGateway/QueryWallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenantId": 123,
"tenantName": "<string>",
"wallets": [
{
"wallets.id": {},
"wallets.currencyCode": "<string>",
"wallets.balance": 123,
"wallets.walletType": 123,
"wallets.walletStatus": 123
}
]
}Payout APIs
Inquiry Wallets
Retrieve wallet balance, status, and related details.
POST
/
api
/
services
/
app
/
PaymentGateway
/
QueryWallets
Inquiry Wallets
An API endpoint used to retrieve wallet information, including wallet balance, status, and other related details.
Request
Headers
string
required
Your unique Merchant ID assigned by CommercePay.
string
required
Your API credentials used for authentication (typically a Bearer token).
string
required
A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.
Body
integer
required
Merchant ID.
int64
required
Current timestamp. Example:
1621851652617.Request Payload Sample
Payload
{
"tenantId": 14,
"timestamp": 1621851652617
}
Response
Body
integer
Merchant ID.
string
Merchant name.
object[]
Response Payload Sample
Response_2XX
{
"result": {
"tenantId": 14,
"tenantName": "CAPTest",
"wallets": [
{
"id": 4,
"currencyCode": "MYR",
"balance": 5253.6,
"walletType": 2,
"walletStatus": 1
}
]
}
}
Error Responses
| Code | Message |
|---|---|
| 1005 | Tenant Wallet Not Found |
| 1 | Invalid Signature. |
Response_400
{
"result": null,
"error": {
"code": 1005,
"message": "Tenant Wallet Not Found"
}
}
Response_400
{
"result": {
"code": 1,
"message": "Invalid Signature."
},
"error": null
}
